Documentation Index

Fetch the complete documentation index at: https://docs.plainid.io/llms.txt

Use this file to discover all available pages before exploring further.

Refresh JWT Setting Keys

Prev Next
Post
/api/1.0/scope-operations/{envId}/{scopeId}/jwt-settings/{settingId}/refresh

Refreshes keys for a managed scope JWT setting.

Path parameters
envId
string (uuid) Required

The Environment ID can be found under the Details Tab in the Environment Settings.

Example550e8400-e29b-41d4-a716-446655440000
scopeId
stringRequired

The Scope ID can be found in the Scope Details in the Platform Environment Settings.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-api
settingId
stringRequired

The JWT settingID can be found in the Manage JWT Settings section in the relevant Scope when the Scope Auth Method is set to Authorization JWT

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-jwks
Responses
202

JWT refresh triggered

refresh
{
  "data": {
    "scopeId": "customer-api",
    "settingId": "customer-jwks",
    "message": "Refresh triggered"
  }
}
Expand All
object

JWT refresh response.

data
object (ManagedJwtRefreshResult)
scopeId
string

The Scope ID can be found in the Scope Details in the Platform Environment Settings.

Examplecustomer-api
settingId
string

The JWT settingID can be found in the Manage JWT Settings section in the relevant Scope when the Scope Auth Method is set to Authorization JWT

Examplecustomer-jwks
message
string

Refresh operation message.

ExampleRefresh triggered
400

Invalid request.

object
code
string
message
string
details
string
403

Missing permission for the environment.

object
code
string
message
string
details
string
404

Scope or JWT setting not found.

object
code
string
message
string
details
string
500

Internal Server Error

© 2024 PlainID LTD. All rights reserved.